﻿// Описания правок (исправлений)
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Возвращает набор доступных правок
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Массив
//
Функция Получить() Экспорт
	
	Результат	= Новый Массив();
	
	Результат.Добавить(ИсправлениеДокументов_ПередЗаписью_ОптимизацияПроведен());
	Результат.Добавить(Хозрасчетный_ПриЗаписи_ПроверкаДолгосрочныхОбязательств());
	Результат.Добавить(Хозрасчетный_ПустоеЗначениеСубконто());
	
	Возврат Результат;
	
КонецФункции // Получить 

// Возвращает набор доступных правок по оптимизации в процедуре
// ПередЗаписью в ОМ ИсправлениеДокументов 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ИсправлениеДокументов_ПередЗаписью_ОптимизацияПроведен() Экспорт
	
	Результат	= оптерп_Описание.Создать();
	
	Текст		= "Исправлен долгий поиск корректировок исходного документа
	|в событии ПередЗаписью, сделана выборка только по индексируемому полю";

	Методы		= "ОМ.ИсправлениеДокументов.оптерп_ПередЗаписью";
	
	оптерп_Описание.Идентификатор(Результат, оптерп_Идентификатор
	.ИсправлениеДокументов_ПередЗаписью_ОптимизацияПроведен());
	оптерп_Описание.Вид(Результат, оптерп_Вид.Запрос());
	оптерп_Описание.Область(Результат, оптерп_Область.Документы());
	оптерп_Описание.ВерсияМин(Результат,  "2.5.8.287");
	оптерп_Описание.ВерсияМакс(Результат, "2.5.11");
	оптерп_Описание.Текст(Результат, Текст);
	оптерп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // ИсправлениеДокументов_ПередЗаписью_ОптимизацияПроведен 

// Возвращает набор доступных правок оптимизации ПриЗаписи регистра бухгалтерии Хозрасчетный. 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция Хозрасчетный_ПриЗаписи_ПроверкаДолгосрочныхОбязательств() Экспорт
	
	Результат	= оптерп_Описание.Создать();
	
	Текст	= "Оптимизирует запись в регистр,
	|проверка выполняется только в случае выделения долгосрочных обязательств на отдельных счетах в бух. учета";

	Методы	= "РегистрБухгалтерии.Хозрасчетный.МодульОбъекта.оптерп_ПриЗаписи";
	
	оптерп_Описание.Идентификатор(Результат, оптерп_Идентификатор
	.Хозрасчетный_ПриЗаписи_ПроверкаДолгосрочныхОбязательств());
	оптерп_Описание.Вид(Результат, оптерп_Вид.Код());
	оптерп_Описание.Область(Результат, оптерп_Область.РеглУчет());
	оптерп_Описание.ВерсияМин(Результат,  "2.5.8.303");
	оптерп_Описание.ВерсияМакс(Результат, "2.5.12.111");
	оптерп_Описание.Текст(Результат, Текст);
	оптерп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // Хозрасчетный_ПриЗаписи_ПроверкаДолгосрочныхОбязательств

// Возвращает набор доступных правок оптимизации функции ПустоеЗначениеСубконто() регистра бухгалтерии Хозрасчетный. 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция Хозрасчетный_ПустоеЗначениеСубконто() Экспорт
	
	Результат	= оптерп_Описание.Создать();
	
	// BSLLS:Typo-off - "субконто" не проверяем
	Текст	= "Оптимизирует получение пустого значения субконто";
	// BSLLS:Typo-on

	Методы	= "РегистрБухгалтерии.Хозрасчетный.МодульМенеджера.оптерп_ПустоеЗначениеСубконто";
	
	оптерп_Описание.Идентификатор(Результат, оптерп_Идентификатор.Хозрасчетный_ПустоеЗначениеСубконто());
	оптерп_Описание.Вид(Результат, оптерп_Вид.Код());
	оптерп_Описание.Область(Результат, оптерп_Область.РеглУчет());
	оптерп_Описание.ВерсияМин(Результат,  "2.5.8.303");
	оптерп_Описание.ВерсияМакс(Результат, "2.5.12.111");
	оптерп_Описание.Текст(Результат, Текст);
	оптерп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // Хозрасчетный_ПустоеЗначениеСубконто

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 